Subject: bug#51336: 29.0.50; Application not responding

From: Kirill A. Korinsky <[email-masked]>
Date: Tue, 23 Jan 2024 16:33:27 +0100

I'd like to add one more complete freez.

I've used icon in the dock to open a new frame (4th or 5th I guess), where I
open a file at /tmp. authorized_keys from some servers. It is less than 10kb and
doesn't use any mode to be edited.

I've start to scroll it and emacs was frozen.

No response to emacsclient, nor any another frame.

When I've attached to this process by lldb I was able to obtain stacks:

(lldb) bt all
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007ff8100a196a libsystem_kernel.dylib`mach_msg_trap + 10
    frame #1: 0x00007ff8100a1cd8 libsystem_kernel.dylib`mach_msg + 56
    frame #2: 0x00007ff8101a529d CoreFoundation`__CFRunLoopServiceMachPort + 319
    frame #3: 0x00007ff8101a3928 CoreFoundation`__CFRunLoopRun + 1276
    frame #4: 0x00007ff8101a2d6c CoreFoundation`CFRunLoopRunSpecific + 562
    frame #5: 0x00007ff818e505e6 HIToolbox`RunCurrentEventLoopInMode + 292
    frame #6: 0x00007ff818e5034a HIToolbox`ReceiveNextEventCommon + 594
    frame #7: 0x00007ff818e500e5 HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 70
    frame #8: 0x00007ff812bddf6d AppKit`_DPSNextEvent + 927
    frame #9: 0x00007ff812bdc62a AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1394
    frame #10: 0x00007ff812bcecd9 AppKit`-[NSApplication run] + 586
    frame #11: 0x00000001001f44a8 Emacs`-[EmacsApp run] + 317
    frame #12: 0x00000001002061d6 Emacs`ns_read_socket_1 + 553
    frame #13: 0x00000001000e5119 Emacs`gobble_input + 243
    frame #14: 0x00000001000e39d6 Emacs`get_input_pending + 97
    frame #15: 0x00000001000e1d16 Emacs`detect_input_pending_run_timers + 46
    frame #16: 0x00000001001ae0bb Emacs`wait_reading_process_output + 4372
    frame #17: 0x0000000100014294 Emacs`sit_for + 436
    frame #18: 0x00000001000df07b Emacs`read_char + 7016
    frame #19: 0x00000001000db75d Emacs`read_key_sequence + 1247
    frame #20: 0x00000001000d9d1c Emacs`command_loop_1 + 754
    frame #21: 0x00000001001591a6 Emacs`internal_condition_case + 87
    frame #22: 0x00000001000d9a18 Emacs`command_loop_2 + 41
    frame #23: 0x0000000100158ad2 Emacs`internal_catch + 81
    frame #24: 0x000000010022ee4f Emacs`command_loop.cold.1 + 72
    frame #25: 0x00000001000d946f Emacs`command_loop + 132
    frame #26: 0x00000001000d935c Emacs`recursive_edit_1 + 142
    frame #27: 0x00000001000d955a Emacs`Frecursive_edit + 208
    frame #28: 0x00000001000d88ec Emacs`main + 8278
    frame #29: 0x00000001027cc52e dyld`start + 462
  thread #2, name = 'gmain'
    frame #0: 0x00007ff8100a9d4a libsystem_kernel.dylib`__select + 10
    frame #1: 0x000000010172f9f0 libglib-2.0.0.dylib`g_poll + 505
    frame #2: 0x0000000101721049 libglib-2.0.0.dylib`g_main_context_iterate_unlocked + 297
    frame #3: 0x00000001017210fc libglib-2.0.0.dylib`g_main_context_iteration + 55
    frame #4: 0x00000001017220e7 libglib-2.0.0.dylib`glib_worker_main + 30
    frame #5: 0x0000000101746ce7 libglib-2.0.0.dylib`g_thread_proxy + 66
    frame #6: 0x00007ff8100de4e1 libsystem_pthread.dylib`_pthread_start + 125
    frame #7: 0x00007ff8100d9f6b libsystem_pthread.dylib`thread_start + 15
  thread #3
    frame #0: 0x00007ff8100a6456 libsystem_kernel.dylib`__pselect + 10
    frame #1: 0x00007ff8100a6373 libsystem_kernel.dylib`pselect$DARWIN_EXTSN + 42
    frame #2: 0x00000001001f5359 Emacs`-[EmacsApp fd_handler:] + 201
    frame #3: 0x00007ff810ffa964 Foundation`__NSThread__start__ + 1009
    frame #4: 0x00007ff8100de4e1 libsystem_pthread.dylib`_pthread_start + 125
    frame #5: 0x00007ff8100d9f6b libsystem_pthread.dylib`thread_start + 15
  thread #4, name = 'com.apple.NSEventThread'
    frame #0: 0x00007ff8100a196a libsystem_kernel.dylib`mach_msg_trap + 10
    frame #1: 0x00007ff8100a1cd8 libsystem_kernel.dylib`mach_msg + 56
    frame #2: 0x00007ff8101a529d CoreFoundation`__CFRunLoopServiceMachPort + 319
    frame #3: 0x00007ff8101a3928 CoreFoundation`__CFRunLoopRun + 1276
    frame #4: 0x00007ff8101a2d6c CoreFoundation`CFRunLoopRunSpecific + 562
    frame #5: 0x00007ff812d4b98e AppKit`_NSEventThread + 132
    frame #6: 0x00007ff8100de4e1 libsystem_pthread.dylib`_pthread_start + 125
    frame #7: 0x00007ff8100d9f6b libsystem_pthread.dylib`thread_start + 15
  thread #5
    frame #0: 0x00007ff8100a304a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007ff8100db034 libsystem_pthread.dylib`_pthread_wqthread + 426
    frame #2: 0x00007ff8100d9f57 libsystem_pthread.dylib`start_wqthread + 15
(lldb)

Right now I'm running emacs which was build from 2c887f497c723c2397888e2f406faa4de3a8208a

-- 
wbr, Kirill